declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$responses = $sdk->paymentLinks->list(
limit: 20
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();
declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$responses = $sdk->paymentLinks->list(
limit: 20
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"mattilda Pay","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"logo":{"light":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=ebe404856efad414fe0e5816e122fbf3","dark":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=5064d58e92f6cf9e1b73945b8043e745"},"favicon":"https://mintcdn.com/mattilda/NYRslQ0epuL-JaEH/assets/favicon.png?fit=max\u0026auto=format\u0026n=NYRslQ0epuL-JaEH\u0026q=85\u0026s=0b246d2ab24fa7d49ab657027a1a4bf8","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","typescript"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"]}},"navbar":{"links":[{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"mattilda Pay","href":"https://mattildapay.com"}},"footer":{"socials":{"website":"https://mattildapay.com","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/mattilda.io"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"dark","latex":true},"integrations":{"intercom":{"appId":"bp5sj6z7"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mattilda","hasAudioNarration":false,"actualSubdomain":"mattilda","customDomains":["docs.mattildapayments.com"],"gitSource":{"type":"github","owner":"mattilda-education","repo":"gr4vy-docs-mintlify","deployBranch":"mattilda_pay","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad7fc40b86df1a05c8ecc42","collectionId":"46b32a21-1651-4bba-87de-5045c78e185e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad7fc40b86df1a05c8ecc42"},"feedback":{"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ad7fc40b86df1a05c8ecc42","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Payments","count":133},{"language":"default","tag":"API Reference","count":80},{"language":"default","tag":"Integration","count":69},{"language":"default","tag":"Features","count":47},{"language":"default","tag":"Quick start","count":32},{"language":"default","tag":"Vault","count":18},{"language":"default","tag":"E-commerce Plugins","count":15},{"language":"default","tag":"Embed","count":13},{"language":"default","tag":"Other","count":12},{"language":"default","tag":"Network tokens","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}"}],"page":{"pagePath":"reference/payment-links/list-payment-links","slug":"/reference/payment-links/list-payment-links","pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-links","title":"List all payment links","description":"List all created payment links.","href":"/reference/payment-links/list-payment-links"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List all created payment links.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-links.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-links","title":"List all payment links","description":"List all created payment links.","href":"/reference/payment-links/list-payment-links"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/mattilda/eb353c0e6fdb81a8/assets/data/payment-service-definitions.js"],"openApiReferenceData":{"operation":{"tags":["Payment links"],"summary":"List all payment links","description":"List all created payment links.","operationId":"list_payment_links","parameters":["c5ccc120-ecae-4f13-a314-08f5058e9f18","a6a77710-3b01-4b16-bd1e-a00e799d75af","9c39cf9f-4336-4f75-a7e6-ca2b87ba04cb"],"responses":{"200":"0ddd38b7-4950-44e7-b867-da9328f4fc09","400":"a2271769-a1ac-4437-886c-457c314cedec","401":"71f3ea18-0e9b-46d3-839f-1c6e256acdb3","403":"cfefa3f0-4af2-4312-b798-3b839ffc5810","404":"1cb5b091-af12-4d71-bcac-8abb8f8a5ecb","405":"3afe9324-b644-4d25-a3a3-0aea04d86bbd","409":"a9f46362-c00a-4f50-b802-a670c6162e1b","422":"2911804b-7437-4c7b-b8f8-e3b517e85f4c","425":"ee793d39-ffd6-447d-a69c-049d05427364","429":"19c2bca5-7f54-4803-ad28-bb5dd057445f","500":"bc25d7d2-7556-4d67-a6f3-14f5617d62d6","502":"9b70b98d-1319-4037-8b96-fce720a8ec86","504":"e6dc5352-46be-4702-8bc6-ed2cc832759c"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-links","x-speakeasy-pagination":{"type":"cursor","inputs":[{"name":"cursor","in":"parameters","type":"cursor"}],"outputs":{"nextCursor":"$.next_cursor"}},"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(limit: 20);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"lang":"typescript","label":"Typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentLinks.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_links.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentLinks.List(ctx, nil, gr4vygo.Int64(20))\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n\n\n$responses = $sdk->paymentLinks->list(\n limit: 20\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentLinksResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n sdk.paymentLinks().list()\n .limit(20L)\n .callAsStream()\n .forEach((ListPaymentLinksResponse item) -> {\n // handle page\n });\n\n }\n}"}],"method":"get","type":"path","servers":["186798d6-ee7d-4207-abf7-742461009e5f","53a9a540-fa31-45ff-85ed-d97230ea1243"],"security":["226b6aec-2806-4148-978f-f7b80b7bb3c6"],"path":"/payment-links","baseUrlOptions":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"],"title":"List all payment links","codeSamples":[{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(limit: 20);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"label":"Typescript","lang":"typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentLinks.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_links.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentLinks.List(ctx, nil, gr4vygo.Int64(20))\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n\n\n$responses = $sdk->paymentLinks->list(\n limit: 20\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentLinksResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n sdk.paymentLinks().list()\n .limit(20L)\n .callAsStream()\n .forEach((ListPaymentLinksResponse item) -> {\n // handle page\n });\n\n }\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","typescript"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"c5ccc120-ecae-4f13-a314-08f5058e9f18":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"A pointer to the page of results to return."},"a6a77710-3b01-4b16-bd1e-a00e799d75af":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"The maximum number of items that are returned.","examples":[20],"default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of items that are returned."},"9c39cf9f-4336-4f75-a7e6-ca2b87ba04cb":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"0ddd38b7-4950-44e7-b867-da9328f4fc09":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The unique identifier for the payment link.","examples":["a1b2c3d4-5678-90ab-cdef-1234567890ab"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"url":{"type":"string","title":"Url","description":"The URL for the payment link.","examples":["https://example.com/link/a1b2c3d4-5678-90ab-cdef-1234567890ab"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].url","typeLabel":"string"},"amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Amount","description":"The amount for the payment link.","examples":[1299],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].amount","typeLabel":"integer"},"country":{"type":"string","pattern":"^[A-Z]{2}$","title":"Country","description":"The country code for the payment link.","examples":["DE","GB","US"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].country","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","title":"Currency","description":"The currency code for the payment link.","examples":["EUR","GBP","MXN"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"string"},"intent":{"type":"string","enum":["authorize","capture"],"title":"TransactionIntent","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The transaction intent for the payment link. It's recommended to set for capture.","examples":["authorize","capture"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].intent","typeLabel":"enum\u003cstring>"},"cart_items":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The name of the cart item. The value you set for this property may be truncated if the maximum length accepted by a payment service provider is less than 255 characters.","examples":["GoPro HD"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].name","typeLabel":"string"},"quantity":{"type":"integer","maximum":99999999,"exclusiveMinimum":0,"title":"Quantity","description":"The quantity of this item in the cart. This value cannot be negative or zero.","examples":[2],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].quantity","typeLabel":"integer"},"unit_amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Unit Amount","description":"The amount for an individual item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` MXN cents represents `$12.99`. The amount sent through to the payment processor as unitary amount will be calculated to include the discount and tax values sent as part of this cart item.","examples":[1299],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].unit_amount","typeLabel":"integer"},"discount_amount":{"oneOf":[{"type":"integer","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` MXN cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` MXN cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount","typeLabel":"integer | null"},"tax_amount":{"oneOf":[{"type":"integer","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` MXN cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` MXN cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount","typeLabel":"integer | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","maxLength":200,"minLength":1,"example":"goprohd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","example":"goprohd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier","typeLabel":"string | null"},"sku":{"oneOf":[{"type":"string","title":"Sku","description":"The SKU for the item.","maxLength":200,"minLength":1,"example":"GPHD1078","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku.oneOf.0","typeLabel":"string"},{"type":"null","title":"Sku","description":"The SKU for the item.","example":"GPHD1078","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku","typeLabel":"string | null"},"product_url":{"oneOf":[{"type":"string","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url","typeLabel":"string | null"},"categories":{"oneOf":[{"type":"array","items":{"type":"string","maxLength":50,"minLength":1,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories","typeLabel":"string[] | null"},"product_type":{"oneOf":[{"type":"string","title":"ProductType","description":"The product type of the cart item.","enum":["physical","discount","shipping_fee","sales_tax","digital","gift_card","store_credit","surcharge"],"x-speakeasy-unknown-values":"allow","example":"physical","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The product type of the cart item.","example":"physical","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type","typeLabel":"enum\u003cstring> | null"},"seller_country":{"oneOf":[{"type":"string","title":"Seller Country","description":"The seller country of the cart item.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Seller Country","description":"The seller country of the cart item.","example":"US","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["name","quantity","unit_amount"],"title":"CartItem","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX]","typeLabel":"CartItem · object"},"title":"Cart Items","description":"The cart items for the payment link.","example":[{"amount":{"currency":"MXN","value":500},"name":"Widget","quantity":2}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0","typeLabel":"CartItem · object[]"},{"type":"null","title":"Cart Items","description":"The cart items for the payment link.","example":[{"amount":{"currency":"MXN","value":500},"name":"Widget","quantity":2}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items","typeLabel":"CartItem · object[] | null"},"payment_source":{"type":"string","enum":["ecommerce","moto","recurring","installment","card_on_file"],"title":"TransactionPaymentSource","description":"The payment source for the payment link.","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","examples":["ecommerce"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_source","typeLabel":"enum\u003cstring>"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time the payment link was created.","examples":["2024-05-30T12:34:56.000Z"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time the payment link was last updated.","examples":["2024-05-30T13:00:00.000Z"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["active","completed","expired","processing"],"title":"PaymentLinkStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The status of the payment link.","examples":["active","expired","completed"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"type":{"type":"string","const":"payment-link","title":"Type","description":"Always `payment-link`.","default":"payment-link","examples":["payment-link"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"expires_at":{"oneOf":[{"type":"string","title":"Expires At","description":"The expiration date and time for the payment link.","format":"date-time","example":"2024-06-01T00:00:00.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Expires At","description":"The expiration date and time for the payment link.","example":"2024-06-01T00:00:00.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expires_at","typeLabel":"string\u003cdate-time> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant reference for the payment link.","maxLength":200,"minLength":1,"example":"external-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant reference for the payment link.","example":"external-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].external_identifier","typeLabel":"string | null"},"locale":{"oneOf":[{"type":"string","title":"Locale","description":"The locale for the payment link.","example":"en","uniqueKey":"\\items.items.[INDEX].locale.oneOf.0","typeLabel":"string"},{"type":"null","title":"Locale","description":"The locale for the payment link.","example":"en","uniqueKey":"\\items.items.[INDEX].locale.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].locale","typeLabel":"string | null"},"merchant_name":{"oneOf":[{"type":"string","title":"Merchant Name","description":"The merchant's display name.","maxLength":100,"minLength":1,"example":"ACME Inc.","uniqueKey":"\\items.items.[INDEX].merchant_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Name","description":"The merchant's display name.","example":"ACME Inc.","uniqueKey":"\\items.items.[INDEX].merchant_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_name","typeLabel":"string | null"},"merchant_url":{"oneOf":[{"type":"string","title":"Merchant Url","description":"The merchant's website URL.","example":"https://merchant.example.com","uniqueKey":"\\items.items.[INDEX].merchant_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Url","description":"The merchant's website URL.","example":"https://merchant.example.com","uniqueKey":"\\items.items.[INDEX].merchant_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_url","typeLabel":"string | null"},"merchant_banner_url":{"oneOf":[{"type":"string","title":"Merchant Banner Url","description":"The merchant's banner image URL.","example":"https://merchant.example.com/banner.png","uniqueKey":"\\items.items.[INDEX].merchant_banner_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Banner Url","description":"The merchant's banner image URL.","example":"https://merchant.example.com/banner.png","uniqueKey":"\\items.items.[INDEX].merchant_banner_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_banner_url","typeLabel":"string | null"},"merchant_color":{"oneOf":[{"type":"string","title":"Merchant Color","description":"The merchant's brand color.","maxLength":100,"minLength":1,"example":"#FF5733","uniqueKey":"\\items.items.[INDEX].merchant_color.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Color","description":"The merchant's brand color.","example":"#FF5733","uniqueKey":"\\items.items.[INDEX].merchant_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_color","typeLabel":"string | null"},"merchant_message":{"oneOf":[{"type":"string","title":"Merchant Message","description":"A message from the merchant.","maxLength":255,"minLength":1,"example":"Thank you for your purchase!","uniqueKey":"\\items.items.[INDEX].merchant_message.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Message","description":"A message from the merchant.","example":"Thank you for your purchase!","uniqueKey":"\\items.items.[INDEX].merchant_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_message","typeLabel":"string | null"},"merchant_terms_and_conditions_url":{"oneOf":[{"type":"string","title":"Merchant Terms And Conditions Url","description":"URL to the merchant's terms and conditions.","example":"https://merchant.example.com/terms","uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Terms And Conditions Url","description":"URL to the merchant's terms and conditions.","example":"https://merchant.example.com/terms","uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url","typeLabel":"string | null"},"merchant_favicon_url":{"oneOf":[{"type":"string","title":"Merchant Favicon Url","description":"URL to the merchant's favicon.","example":"https://merchant.example.com/favicon.ico","uniqueKey":"\\items.items.[INDEX].merchant_favicon_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Favicon Url","description":"URL to the merchant's favicon.","example":"https://merchant.example.com/favicon.ico","uniqueKey":"\\items.items.[INDEX].merchant_favicon_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_favicon_url","typeLabel":"string | null"},"return_url":{"oneOf":[{"type":"string","title":"Return Url","description":"The return URL after payment completion.","example":"https://merchant.example.com/return","uniqueKey":"\\items.items.[INDEX].return_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Return Url","description":"The return URL after payment completion.","example":"https://merchant.example.com/return","uniqueKey":"\\items.items.[INDEX].return_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].return_url","typeLabel":"string | null"},"metadata":{"oneOf":[{"type":"object","title":"Metadata","description":"Arbitrary metadata for the payment link.","example":{"order_id":"ORD-12345"},"additionalProperties":true,"uniqueKey":"\\items.items.[INDEX].metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","title":"Metadata","description":"Arbitrary metadata for the payment link.","example":{"order_id":"ORD-12345"},"uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].metadata","typeLabel":"Metadata · object | null"},"buyer":{"oneOf":[{"type":"object","title":"TransactionBuyer","description":"The buyer associated with the payment link.","properties":{"type":{"type":"string","const":"buyer","title":"Type","description":"Always `buyer`.","default":"buyer","examples":["buyer"],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"display_name":{"oneOf":[{"type":"string","title":"Display Name","description":"The display name for the buyer.","maxLength":200,"minLength":1,"example":"John Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Display Name","description":"The display name for the buyer.","example":"John Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name","typeLabel":"string | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant identifier for this buyer.","maxLength":200,"minLength":1,"example":"buyer-12345","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant identifier for this buyer.","example":"buyer-12345","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier","typeLabel":"string | null"},"billing_details":{"oneOf":[{"type":"object","title":"BillingDetails","description":"The billing name, address, email, and other fields for this buyer.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address","typeLabel":"Address · object | null"},"tax_id":{"oneOf":[{"type":"object","title":"TaxId","description":"The tax ID information associated with the billing details.","required":["value","kind"],"properties":{"value":{"type":"string","maxLength":50,"minLength":1,"title":"Value","description":"The tax ID for the buyer.","examples":["12345678931"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.value","typeLabel":"string"},"kind":{"type":"string","enum":["co.itin","co.nit","mx.curp","mx.rfc","pe.ruc"],"title":"TaxIdKind","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The kind of tax ID","examples":["mx.rfc"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0","typeLabel":"TaxId · object"},{"type":"null","description":"The tax ID information associated with the billing details.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id","typeLabel":"TaxId · object | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0","typeLabel":"BillingDetails · object"},{"type":"null","description":"The billing name, address, email, and other fields for this buyer.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details","typeLabel":"BillingDetails · object | null"},"account_number":{"oneOf":[{"type":"string","title":"Account Number","description":"The buyer account number.","maxLength":200,"minLength":1,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Number","description":"The buyer account number.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0","typeLabel":"TransactionBuyer · object"},{"type":"null","description":"The buyer associated with the payment link.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer","typeLabel":"TransactionBuyer · object | null"},"shipping_details":{"oneOf":[{"type":"object","title":"ShippingDetails","description":"The shipping details for the payment link.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.address","typeLabel":"Address · object | null"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the shipping details.","format":"uuid","example":"bf8c36ad-02d9-4904-b0f9-a230b149e341","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the shipping details.","example":"bf8c36ad-02d9-4904-b0f9-a230b149e341","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"buyer_id":{"oneOf":[{"type":"string","title":"Buyer Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.buyer_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Buyer Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.buyer_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.buyer_id","typeLabel":"string\u003cuuid> | null"},"type":{"type":"string","const":"shipping-details","title":"Type","description":"Always `shipping-details`.","default":"shipping-details","examples":["shipping-details"],"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.0","typeLabel":"ShippingDetails · object"},{"type":"null","description":"The shipping details for the payment link.","uniqueKey":"\\items.items.[INDEX].shipping_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].shipping_details","typeLabel":"ShippingDetails · object | null"}},"additionalProperties":false,"type":"object","required":["id","url","amount","country","currency","intent","cart_items","payment_source","created_at","updated_at","status"],"title":"PaymentLink","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentLink · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentLink · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"Collection[PaymentLink]","uniqueKey":"","typeLabel":"Collection[PaymentLink] · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"a1b2c3d4-5678-90ab-cdef-1234567890ab","url":"https://example.com/link/a1b2c3d4-5678-90ab-cdef-1234567890ab","amount":1299,"country":"DE","currency":"EUR","intent":"authorize","cart_items":[{"amount":{"currency":"MXN","value":500},"name":"Widget","quantity":2}],"payment_source":"ecommerce","created_at":"2024-05-30T12:34:56.000Z","updated_at":"2024-05-30T13:00:00.000Z","status":"active","type":"payment-link","expires_at":"2024-06-01T00:00:00.000Z","external_identifier":"external-12345","locale":"en","merchant_name":"ACME Inc.","merchant_url":"https://merchant.example.com","merchant_banner_url":"https://merchant.example.com/banner.png","merchant_color":"#FF5733","merchant_message":"Thank you for your purchase!","merchant_terms_and_conditions_url":"https://merchant.example.com/terms","merchant_favicon_url":"https://merchant.example.com/favicon.ico","return_url":"https://merchant.example.com/return","metadata":{"order_id":"ORD-12345"},"buyer":{"type":"buyer","id":"fe26475d-ec3e-4884-9553-f7356683f7f9","display_name":"John Doe","external_identifier":"buyer-12345","billing_details":{"first_name":"John","last_name":"Doe","email_address":"john@example.com","phone_number":"+1234567890","address":{"city":"San Jose","country":"US","postal_code":"94560","state":"California","state_code":"US-CA","house_number_or_name":"10","line1":"Stafford Appartments","line2":"29th Street","organization":"Gr4vy"},"tax_id":{"value":"12345678931","kind":"mx.rfc"}},"account_number":"\u003cstring>"},"shipping_details":{"first_name":"John","last_name":"Doe","email_address":"john@example.com","phone_number":"+1234567890","address":{"city":"San Jose","country":"US","postal_code":"94560","state":"California","state_code":"US-CA","house_number_or_name":"10","line1":"Stafford Appartments","line2":"29th Street","organization":"Gr4vy"},"id":"bf8c36ad-02d9-4904-b0f9-a230b149e341","buyer_id":"fe26475d-ec3e-4884-9553-f7356683f7f9","type":"shipping-details"}}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"a2271769-a1ac-4437-886c-457c314cedec":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"71f3ea18-0e9b-46d3-839f-1c6e256acdb3":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"cfefa3f0-4af2-4312-b798-3b839ffc5810":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"1cb5b091-af12-4d71-bcac-8abb8f8a5ecb":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"3afe9324-b644-4d25-a3a3-0aea04d86bbd":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"a9f46362-c00a-4f50-b802-a670c6162e1b":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"2911804b-7437-4c7b-b8f8-e3b517e85f4c":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"ee793d39-ffd6-447d-a69c-049d05427364":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"19c2bca5-7f54-4803-ad28-bb5dd057445f":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"bc25d7d2-7556-4d67-a6f3-14f5617d62d6":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"9b70b98d-1319-4037-8b96-fce720a8ec86":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type
[...]
